# Uses of Class
com.fasterxml.jackson.datatype.jsr310.ser.DurationSerializer

Packages that use DurationSerializer
Package
Description
com.fasterxml.jackson.datatype.jsr310.ser

## Uses of DurationSerializer in com.fasterxml.jackson.datatype.jsr310.ser

Fields in com.fasterxml.jackson.datatype.jsr310.ser declared as DurationSerializer
Modifier and Type
Field
Description
`static final DurationSerializer`
DurationSerializer.`INSTANCE`
Methods in com.fasterxml.jackson.datatype.jsr310.ser that return DurationSerializer
Modifier and Type
Method
Description
`protected DurationSerializer`
DurationSerializer.`withConverter(DurationUnitConverter converter)`
`protected DurationSerializer`
DurationSerializer.`withFormat(Boolean useTimestamp, DateTimeFormatter dtf, com.fasterxml.jackson.annotation.JsonFormat.Shape shape)`
Constructors in com.fasterxml.jackson.datatype.jsr310.ser with parameters of type DurationSerializer
Modifier
Constructor
Description
`protected`
`DurationSerializer(DurationSerializer base, DurationUnitConverter converter)`
`protected`
`DurationSerializer(DurationSerializer base, Boolean useTimestamp, Boolean useNanoseconds, DateTimeFormatter dtf)`
`protected`
`DurationSerializer(DurationSerializer base, Boolean useTimestamp, DateTimeFormatter dtf)`